package com.chenyang.nse.bussiness.entity.orm.table.core.dataproject;

import java.util.List;

public class TCoreProjectChooseList {
   private String id;
   private String dataarea_id;
   private String dataareaname;
   private String defaultrule;
   private String rulestyle;
   private String ruleid;
   private String rulename;
   private String ruleexample;
   private List<TCoreProjectChooseList> children;

   public String getTid() {
      return this.id;
   }

   public void setTid(String id) {
      this.id = id;
   }

   public String getRulestyle() {
      return this.rulestyle;
   }

   public void setRulestyle(String rulestyle) {
      this.rulestyle = rulestyle;
   }

   public String getRuleid() {
      return this.ruleid;
   }

   public void setRuleid(String ruleid) {
      this.ruleid = ruleid;
   }

   public String getRulename() {
      return this.rulename;
   }

   public void setRulename(String rulename) {
      this.rulename = rulename;
   }

   public String getRuleexample() {
      return this.ruleexample;
   }

   public void setRuleexample(String ruleexample) {
      this.ruleexample = ruleexample;
   }

   public List<TCoreProjectChooseList> getChildren() {
      return this.children;
   }

   public void setChildren(List<TCoreProjectChooseList> children) {
      this.children = children;
   }

   public String getDataarea_id() {
      return this.dataarea_id;
   }

   public void setDataarea_id(String dataarea_id) {
      this.dataarea_id = dataarea_id;
   }

   public String getDataareaname() {
      return this.dataareaname;
   }

   public void setDataareaname(String dataareaname) {
      this.dataareaname = dataareaname;
   }

   public String getDefaultrule() {
      return this.defaultrule;
   }

   public void setDefaultrule(String defaultrule) {
      this.defaultrule = defaultrule;
   }
}
